## python-congressclient 1.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
six>=1.10.0 # MIT

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-congressclient (1.11.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-congressclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/control: Switch to using python3-sphinx.
    - d/rules: Drop install and test of Python 2 module.
  * d/control,patches: Add BD on python3-sphinxcontrib.apidoc, drop
    associated patch.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 06:40:32 +0100

python-congressclient (1.11.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 17:32:53 -0400

python-congressclient (1.10.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 16:22:08 -0400

python-congressclient (1.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:49:26 +0000

python-congressclient (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 08:51:24 +0000

python-congressclient (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:55:55 +0000

python-congressclient (1.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 17:45:27 +0200

=== debian/control ===
Source: python-congressclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.16.0),
 python3-requests (>= 2.10.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc,
 python3-subunit,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
Homepage: https://github.com/stackforge/python-congressclient
Testsuite: autopkgtest-pkg-python

Package: python-congressclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client for the open policy framework for the cloud - doc
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides the documentation.

Package: python3-congressclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.16.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.10.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client for the open policy framework for the cloud - Python 3.x
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides a cli and a Python 3.x client module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-congressclient-doc/usr/share/doc/python-congressclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-congressclient/ python-congressclient-(\d.*)\.tar\.gz

## python-congressclient 1.13.0

=== debian/changelog ===
python-congressclient (1.13.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:13:49 +0200

python-congressclient (1.13.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:25:21 +0200

python-congressclient (1.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:51:47 +0200

python-congressclient (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 12:27:30 +0100

python-congressclient (1.11.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:10:29 +0200

python-congressclient (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Commands not to run in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Aug 2018 22:43:16 +0200

## python-congressclient 2.0.1

=== Makefile ===

TOPDIR=$(CURDIR)
SRCDIR=$(TOPDIR)/congressclient

all: docs

clean: rm -Rf $(TOPDIR)/doc/html/*

docs: $(TOPDIR)/doc/source/*.rst
	sphinx-build -b html $(TOPDIR)/doc/source $(TOPDIR)/doc/html

=== doc/requirements.txt ===
sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-congressclient (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:57:07 +0200

python-congressclient (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,45 @@
 Source: python-congressclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  David Della Vecchia <ddv@canonical.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-babel (>= 2.3.4),
- python3-cliff (>= 2.8.0),
- python3-coverage (>= 4.0),
- python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
- python3-keystoneauth1 (>= 3.4.0),
- python3-mock (>= 2.0.0),
+ python3-babel,
+ python3-cliff,
+ python3-coverage,
+ python3-fixtures,
+ python3-hacking,
+ python3-keystoneauth1,
+ python3-mock,
  python3-openstackclient,
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.16.0),
- python3-requests (>= 2.10.0),
- python3-six (>= 1.10.0),
+ python3-openstackdocstheme,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-requests,
+ python3-six,
  python3-sphinxcontrib.apidoc,
- python3-subunit,
- python3-testrepository,
+ python3-stestr,
  python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testtools,
  subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-congressclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-congressclient.git
 Homepage: https://github.com/stackforge/python-congressclient
-Testsuite: autopkgtest-pkg-python
 
 Package: python-congressclient-doc
 Architecture: all
@@ -68,7 +62,7 @@
 Package: python3-congressclient
 Architecture: all
 Depends:
- python3-babel (>= 2.3.4),
+ python3-babel,
  python3-cliff (>= 2.8.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient,
@@ -78,7 +72,7 @@
  python3-oslo.utils (>= 3.16.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.10.0),
- python3-six (>= 1.10.0),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: client for the open policy framework for the cloud - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
		dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-congressclient-doc/usr/share/doc/python-congressclient-doc/html
	dh_sphinxdoc
endif
